// Show Patent Application.cs
// Written by David J. Stein, Esq. See enclosed "License.html" for terms and conditions of use.
//
// This module contains the code for a small helper window for showing the details of a patent application.

#region Using declarations

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using USPTOProxy_Namespace;

#endregion

namespace USPTO_Proxy_Demo_Application {

	public class ShowPatentApplication : System.Windows.Forms.Form	{

		#region Variables and initialization code

		private System.Windows.Forms.Label label1;
		private System.ComponentModel.Container components = null;
		private System.Windows.Forms.TextBox txtTitle;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.TextBox txtFileDate;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.TextBox txtInventors;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.TextBox txtLawFirm;
		private System.Windows.Forms.Label label8;
		private System.Windows.Forms.TextBox txtUSClasses;
		private System.Windows.Forms.Label label10;
		private System.Windows.Forms.Label label11;
		private System.Windows.Forms.GroupBox groupAbstract;
		private System.Windows.Forms.TextBox txtAbstract;
		private System.Windows.Forms.GroupBox groupDescription;
		private System.Windows.Forms.TextBox txtDescription;
		private System.Windows.Forms.GroupBox groupClaims;
		private System.Windows.Forms.TextBox txtClaims;
		private System.Windows.Forms.TextBox txtSerialNumber;
		private System.Windows.Forms.TextBox txtPublicationNumber;
		private System.Windows.Forms.TextBox txtNumberFigures;
		private System.Windows.Forms.Label label14;
		private System.Windows.Forms.TextBox txtNumberClaims;
		private System.Windows.Forms.Label label13;
		private System.Windows.Forms.Label label15;
		private System.Windows.Forms.CheckBox checkPatentIssued;
		private System.Windows.Forms.TextBox txtInternationalClasses;
		private PatentApplication patentApplication;

		public ShowPatentApplication(PatentApplication patentApplication)	{
			this.patentApplication = patentApplication;
			InitializeComponent();
		}

		#region Uninteresting Windows Form Designer generated code
		protected override void Dispose(bool disposing)		{
			if (disposing) {
				if (components != null) {
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		private void InitializeComponent()	{
			this.label1 = new System.Windows.Forms.Label();
			this.txtSerialNumber = new System.Windows.Forms.TextBox();
			this.txtTitle = new System.Windows.Forms.TextBox();
			this.label2 = new System.Windows.Forms.Label();
			this.txtFileDate = new System.Windows.Forms.TextBox();
			this.label4 = new System.Windows.Forms.Label();
			this.txtPublicationNumber = new System.Windows.Forms.TextBox();
			this.label6 = new System.Windows.Forms.Label();
			this.txtInventors = new System.Windows.Forms.TextBox();
			this.label5 = new System.Windows.Forms.Label();
			this.txtLawFirm = new System.Windows.Forms.TextBox();
			this.label8 = new System.Windows.Forms.Label();
			this.txtUSClasses = new System.Windows.Forms.TextBox();
			this.label10 = new System.Windows.Forms.Label();
			this.txtInternationalClasses = new System.Windows.Forms.TextBox();
			this.label11 = new System.Windows.Forms.Label();
			this.groupAbstract = new System.Windows.Forms.GroupBox();
			this.txtAbstract = new System.Windows.Forms.TextBox();
			this.groupDescription = new System.Windows.Forms.GroupBox();
			this.txtDescription = new System.Windows.Forms.TextBox();
			this.groupClaims = new System.Windows.Forms.GroupBox();
			this.txtClaims = new System.Windows.Forms.TextBox();
			this.txtNumberFigures = new System.Windows.Forms.TextBox();
			this.label14 = new System.Windows.Forms.Label();
			this.txtNumberClaims = new System.Windows.Forms.TextBox();
			this.label13 = new System.Windows.Forms.Label();
			this.label15 = new System.Windows.Forms.Label();
			this.checkPatentIssued = new System.Windows.Forms.CheckBox();
			this.groupAbstract.SuspendLayout();
			this.groupDescription.SuspendLayout();
			this.groupClaims.SuspendLayout();
			this.SuspendLayout();
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(8, 64);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(120, 24);
			this.label1.TabIndex = 0;
			this.label1.Text = "Serial No.";
			this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// txtSerialNumber
			// 
			this.txtSerialNumber.Location = new System.Drawing.Point(128, 64);
			this.txtSerialNumber.Name = "txtSerialNumber";
			this.txtSerialNumber.ReadOnly = true;
			this.txtSerialNumber.Size = new System.Drawing.Size(104, 20);
			this.txtSerialNumber.TabIndex = 4;
			this.txtSerialNumber.Text = "";
			// 
			// txtTitle
			// 
			this.txtTitle.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.txtTitle.Location = new System.Drawing.Point(64, 8);
			this.txtTitle.Name = "txtTitle";
			this.txtTitle.ReadOnly = true;
			this.txtTitle.Size = new System.Drawing.Size(496, 20);
			this.txtTitle.TabIndex = 0;
			this.txtTitle.Text = "";
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(8, 8);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(56, 24);
			this.label2.TabIndex = 2;
			this.label2.Text = "Title";
			this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// txtFileDate
			// 
			this.txtFileDate.Location = new System.Drawing.Point(80, 40);
			this.txtFileDate.Name = "txtFileDate";
			this.txtFileDate.ReadOnly = true;
			this.txtFileDate.Size = new System.Drawing.Size(104, 20);
			this.txtFileDate.TabIndex = 1;
			this.txtFileDate.Text = "";
			// 
			// label4
			// 
			this.label4.Location = new System.Drawing.Point(8, 40);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(72, 24);
			this.label4.TabIndex = 6;
			this.label4.Text = "Date Filed";
			this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// txtPublicationNumber
			// 
			this.txtPublicationNumber.Location = new System.Drawing.Point(128, 88);
			this.txtPublicationNumber.Name = "txtPublicationNumber";
			this.txtPublicationNumber.ReadOnly = true;
			this.txtPublicationNumber.Size = new System.Drawing.Size(104, 20);
			this.txtPublicationNumber.TabIndex = 6;
			this.txtPublicationNumber.Text = "";
			// 
			// label6
			// 
			this.label6.Location = new System.Drawing.Point(8, 88);
			this.label6.Name = "label6";
			this.label6.Size = new System.Drawing.Size(120, 24);
			this.label6.TabIndex = 10;
			this.label6.Text = "Publication No.";
			this.label6.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// txtInventors
			// 
			this.txtInventors.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.txtInventors.Location = new System.Drawing.Point(336, 64);
			this.txtInventors.Name = "txtInventors";
			this.txtInventors.ReadOnly = true;
			this.txtInventors.Size = new System.Drawing.Size(224, 20);
			this.txtInventors.TabIndex = 5;
			this.txtInventors.Text = "";
			// 
			// label5
			// 
			this.label5.Location = new System.Drawing.Point(240, 64);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(96, 24);
			this.label5.TabIndex = 12;
			this.label5.Text = "Inventors";
			this.label5.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// txtLawFirm
			// 
			this.txtLawFirm.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.txtLawFirm.Location = new System.Drawing.Point(336, 88);
			this.txtLawFirm.Name = "txtLawFirm";
			this.txtLawFirm.ReadOnly = true;
			this.txtLawFirm.Size = new System.Drawing.Size(224, 20);
			this.txtLawFirm.TabIndex = 7;
			this.txtLawFirm.Text = "";
			// 
			// label8
			// 
			this.label8.Location = new System.Drawing.Point(240, 88);
			this.label8.Name = "label8";
			this.label8.Size = new System.Drawing.Size(96, 24);
			this.label8.TabIndex = 18;
			this.label8.Text = "Law Firm";
			this.label8.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// txtUSClasses
			// 
			this.txtUSClasses.Location = new System.Drawing.Point(264, 40);
			this.txtUSClasses.Name = "txtUSClasses";
			this.txtUSClasses.ReadOnly = true;
			this.txtUSClasses.Size = new System.Drawing.Size(104, 20);
			this.txtUSClasses.TabIndex = 2;
			this.txtUSClasses.Text = "";
			// 
			// label10
			// 
			this.label10.Location = new System.Drawing.Point(192, 40);
			this.label10.Name = "label10";
			this.label10.Size = new System.Drawing.Size(72, 24);
			this.label10.TabIndex = 20;
			this.label10.Text = "U.S. Classes";
			this.label10.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// txtInternationalClasses
			// 
			this.txtInternationalClasses.Anchor = System.Windows.Forms.AnchorStyles.Top;
			this.txtInternationalClasses.Location = new System.Drawing.Point(456, 40);
			this.txtInternationalClasses.Name = "txtInternationalClasses";
			this.txtInternationalClasses.ReadOnly = true;
			this.txtInternationalClasses.Size = new System.Drawing.Size(104, 20);
			this.txtInternationalClasses.TabIndex = 3;
			this.txtInternationalClasses.Text = "";
			// 
			// label11
			// 
			this.label11.Anchor = System.Windows.Forms.AnchorStyles.Top;
			this.label11.Location = new System.Drawing.Point(384, 40);
			this.label11.Name = "label11";
			this.label11.Size = new System.Drawing.Size(72, 24);
			this.label11.TabIndex = 22;
			this.label11.Text = "Int\'l Classes";
			this.label11.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// groupAbstract
			// 
			this.groupAbstract.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right)));
			this.groupAbstract.Controls.Add(this.txtAbstract);
			this.groupAbstract.Location = new System.Drawing.Point(8, 152);
			this.groupAbstract.Name = "groupAbstract";
			this.groupAbstract.Size = new System.Drawing.Size(552, 112);
			this.groupAbstract.TabIndex = 26;
			this.groupAbstract.TabStop = false;
			this.groupAbstract.Text = "Abstract";
			// 
			// txtAbstract
			// 
			this.txtAbstract.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.txtAbstract.Location = new System.Drawing.Point(8, 16);
			this.txtAbstract.Multiline = true;
			this.txtAbstract.Name = "txtAbstract";
			this.txtAbstract.ReadOnly = true;
			this.txtAbstract.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
			this.txtAbstract.Size = new System.Drawing.Size(536, 88);
			this.txtAbstract.TabIndex = 0;
			this.txtAbstract.Text = "";
			// 
			// groupDescription
			// 
			this.groupDescription.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right)));
			this.groupDescription.Controls.Add(this.txtDescription);
			this.groupDescription.Location = new System.Drawing.Point(8, 272);
			this.groupDescription.Name = "groupDescription";
			this.groupDescription.Size = new System.Drawing.Size(552, 112);
			this.groupDescription.TabIndex = 27;
			this.groupDescription.TabStop = false;
			this.groupDescription.Text = "Description";
			// 
			// txtDescription
			// 
			this.txtDescription.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.txtDescription.Location = new System.Drawing.Point(8, 16);
			this.txtDescription.Multiline = true;
			this.txtDescription.Name = "txtDescription";
			this.txtDescription.ReadOnly = true;
			this.txtDescription.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
			this.txtDescription.Size = new System.Drawing.Size(536, 88);
			this.txtDescription.TabIndex = 0;
			this.txtDescription.Text = "";
			// 
			// groupClaims
			// 
			this.groupClaims.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right)));
			this.groupClaims.Controls.Add(this.txtClaims);
			this.groupClaims.Location = new System.Drawing.Point(8, 392);
			this.groupClaims.Name = "groupClaims";
			this.groupClaims.Size = new System.Drawing.Size(552, 112);
			this.groupClaims.TabIndex = 28;
			this.groupClaims.TabStop = false;
			this.groupClaims.Text = "Claims";
			// 
			// txtClaims
			// 
			this.txtClaims.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.txtClaims.Location = new System.Drawing.Point(8, 16);
			this.txtClaims.Multiline = true;
			this.txtClaims.Name = "txtClaims";
			this.txtClaims.ReadOnly = true;
			this.txtClaims.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
			this.txtClaims.Size = new System.Drawing.Size(536, 88);
			this.txtClaims.TabIndex = 0;
			this.txtClaims.Text = "";
			// 
			// txtNumberFigures
			// 
			this.txtNumberFigures.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.txtNumberFigures.Location = new System.Drawing.Point(504, 120);
			this.txtNumberFigures.Name = "txtNumberFigures";
			this.txtNumberFigures.ReadOnly = true;
			this.txtNumberFigures.Size = new System.Drawing.Size(56, 20);
			this.txtNumberFigures.TabIndex = 10;
			this.txtNumberFigures.Text = "";
			// 
			// label14
			// 
			this.label14.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.label14.Location = new System.Drawing.Point(376, 120);
			this.label14.Name = "label14";
			this.label14.Size = new System.Drawing.Size(112, 24);
			this.label14.TabIndex = 37;
			this.label14.Text = "Number of Figures";
			this.label14.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// txtNumberClaims
			// 
			this.txtNumberClaims.Anchor = System.Windows.Forms.AnchorStyles.Top;
			this.txtNumberClaims.Location = new System.Drawing.Point(312, 120);
			this.txtNumberClaims.Name = "txtNumberClaims";
			this.txtNumberClaims.ReadOnly = true;
			this.txtNumberClaims.Size = new System.Drawing.Size(56, 20);
			this.txtNumberClaims.TabIndex = 9;
			this.txtNumberClaims.Text = "";
			// 
			// label13
			// 
			this.label13.Anchor = System.Windows.Forms.AnchorStyles.Top;
			this.label13.Location = new System.Drawing.Point(192, 120);
			this.label13.Name = "label13";
			this.label13.Size = new System.Drawing.Size(112, 24);
			this.label13.TabIndex = 35;
			this.label13.Text = "Number of Claims";
			this.label13.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label15
			// 
			this.label15.Location = new System.Drawing.Point(8, 120);
			this.label15.Name = "label15";
			this.label15.Size = new System.Drawing.Size(112, 24);
			this.label15.TabIndex = 39;
			this.label15.Text = "Issued as patent?";
			this.label15.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// checkPatentIssued
			// 
			this.checkPatentIssued.Location = new System.Drawing.Point(128, 120);
			this.checkPatentIssued.Name = "checkPatentIssued";
			this.checkPatentIssued.Size = new System.Drawing.Size(16, 24);
			this.checkPatentIssued.TabIndex = 8;
			// 
			// ShowPatentApplication
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(568, 507);
			this.Controls.Add(this.checkPatentIssued);
			this.Controls.Add(this.label15);
			this.Controls.Add(this.txtNumberFigures);
			this.Controls.Add(this.label14);
			this.Controls.Add(this.txtNumberClaims);
			this.Controls.Add(this.label13);
			this.Controls.Add(this.groupAbstract);
			this.Controls.Add(this.txtInternationalClasses);
			this.Controls.Add(this.txtUSClasses);
			this.Controls.Add(this.txtLawFirm);
			this.Controls.Add(this.txtInventors);
			this.Controls.Add(this.txtPublicationNumber);
			this.Controls.Add(this.txtFileDate);
			this.Controls.Add(this.txtTitle);
			this.Controls.Add(this.txtSerialNumber);
			this.Controls.Add(this.label11);
			this.Controls.Add(this.label10);
			this.Controls.Add(this.label8);
			this.Controls.Add(this.label5);
			this.Controls.Add(this.label6);
			this.Controls.Add(this.label4);
			this.Controls.Add(this.label2);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.groupDescription);
			this.Controls.Add(this.groupClaims);
			this.Name = "ShowPatentApplication";
			this.Text = "U.S. Pat. App. No. ";
			this.Resize += new System.EventHandler(this.ShowPatentApplication_Resize);
			this.Load += new System.EventHandler(this.ShowPatentApplication_Load);
			this.groupAbstract.ResumeLayout(false);
			this.groupDescription.ResumeLayout(false);
			this.groupClaims.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		#endregion
		
		#region Miscellaneous event handlers

		private void ShowPatentApplication_Load(object sender, System.EventArgs e) {
			if (patentApplication != null) {
				this.txtAbstract.Text = patentApplication.strAbstract;
				this.txtClaims.Text = patentApplication.strClaims;
				this.txtDescription.Text = patentApplication.strDescription;
				this.txtFileDate.Text = patentApplication.strFileDate;
				foreach (Inventor inventor in patentApplication.Inventors)
					txtInventors.Text += (txtInventors.Text.Length > 0 ? "; " : "") + inventor.strName + (inventor.strLocation.Length > 0 ? " (" + inventor.strLocation + ")" : "");
				this.txtLawFirm.Text = patentApplication.strLawFirm;
				this.txtPublicationNumber.Text = patentApplication.strPublicationNumber;
				this.txtSerialNumber.Text = patentApplication.strPatentApplicationNumber;
				this.txtTitle.Text = patentApplication.strTitle;
				foreach (string strUSClass in patentApplication.arrayUSClasses)
					txtUSClasses.Text += (txtUSClasses.Text.Length > 0 ? "; " : "") + strUSClass;
				foreach (string strInternationalClass in patentApplication.arrayInternationalClasses)
					txtInternationalClasses.Text += (txtInternationalClasses.Text.Length > 0 ? "; " : "") + strInternationalClass;
				this.checkPatentIssued.CheckState = patentApplication.bIssued ? CheckState.Checked : CheckState.Unchecked;
				this.txtNumberClaims.Text = patentApplication.iNumberOfClaims.ToString();
				this.txtNumberFigures.Text = patentApplication.iNumberOfFigures.ToString();
				this.Text = "U.S. Pat. App. No. " + patentApplication.strPatentApplicationNumber;
			} 
		}

		private void ShowPatentApplication_Resize(object sender, System.EventArgs e) {
			groupAbstract.Height = groupDescription.Height = groupClaims.Height = (Height - 152 - 8 - 8 - 24) / 3;
			groupAbstract.Top = 152;
			groupDescription.Top = groupAbstract.Bottom + 8;
			groupClaims.Top = groupDescription.Bottom + 8;
			groupAbstract.Width = groupDescription.Width = groupClaims.Width = Width - 40;
		}

		#endregion

	}

}
