// Show Patent Query Results.cs
// Written by David J. Stein, Esq. See enclosed "License.html" for terms and conditions of use.
//
// This module contains the code for showing the results of a query for patents.

#region Using declarations

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using USPTOProxy_Namespace;

#endregion

namespace USPTO_Proxy_Demo_Application {

	public class ShowPatentQueryResults : System.Windows.Forms.Form	{

		#region Variables and initialization code

		private System.Windows.Forms.Label lblDownloadStatus;
		private System.Timers.Timer timerUpdate;
		private System.Windows.Forms.ProgressBar pbDownload;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.ColumnHeader columnTitle;
		private System.Windows.Forms.TextBox txtQuery;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.ColumnHeader columnSerial;
		private System.ComponentModel.Container components = null;
		private System.Windows.Forms.ListView lstResults;
		private QueryPatentsAsync searchObject = null;
		private string strQuery = "";

		public ShowPatentQueryResults(string strQuery)	{
			InitializeComponent();
			this.strQuery = strQuery;
			searchObject = USPTOProxy.QueryPatents_Start(strQuery, QueryResultsFormatEnum.ReferencesOnly, null);
		}

		#region Uninteresting Windows Form Designer generated code
		protected override void Dispose(bool disposing)		{
			if (disposing) {
				if (components != null) {
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		private void InitializeComponent()	{
			this.lblDownloadStatus = new System.Windows.Forms.Label();
			this.timerUpdate = new System.Timers.Timer();
			this.pbDownload = new System.Windows.Forms.ProgressBar();
			this.label4 = new System.Windows.Forms.Label();
			this.lstResults = new System.Windows.Forms.ListView();
			this.columnSerial = new System.Windows.Forms.ColumnHeader();
			this.columnTitle = new System.Windows.Forms.ColumnHeader();
			this.txtQuery = new System.Windows.Forms.TextBox();
			this.label1 = new System.Windows.Forms.Label();
			((System.ComponentModel.ISupportInitialize)(this.timerUpdate)).BeginInit();
			this.SuspendLayout();
			// 
			// lblDownloadStatus
			// 
			this.lblDownloadStatus.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.lblDownloadStatus.Location = new System.Drawing.Point(112, 32);
			this.lblDownloadStatus.Name = "lblDownloadStatus";
			this.lblDownloadStatus.Size = new System.Drawing.Size(168, 23);
			this.lblDownloadStatus.TabIndex = 1;
			this.lblDownloadStatus.Text = "???";
			this.lblDownloadStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// timerUpdate
			// 
			this.timerUpdate.Enabled = true;
			this.timerUpdate.Interval = 1000;
			this.timerUpdate.SynchronizingObject = this;
			this.timerUpdate.Elapsed += new System.Timers.ElapsedEventHandler(this.timerUpdate_Elapsed);
			// 
			// pbDownload
			// 
			this.pbDownload.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.pbDownload.Location = new System.Drawing.Point(288, 32);
			this.pbDownload.Name = "pbDownload";
			this.pbDownload.Size = new System.Drawing.Size(264, 23);
			this.pbDownload.TabIndex = 2;
			// 
			// label4
			// 
			this.label4.Location = new System.Drawing.Point(8, 32);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(96, 23);
			this.label4.TabIndex = 17;
			this.label4.Text = "Download Status:";
			this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// lstResults
			// 
			this.lstResults.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.lstResults.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
																												 this.columnSerial,
																												 this.columnTitle});
			this.lstResults.FullRowSelect = true;
			this.lstResults.Location = new System.Drawing.Point(8, 64);
			this.lstResults.MultiSelect = false;
			this.lstResults.Name = "lstResults";
			this.lstResults.Size = new System.Drawing.Size(544, 248);
			this.lstResults.TabIndex = 3;
			this.lstResults.View = System.Windows.Forms.View.Details;
			this.lstResults.DoubleClick += new System.EventHandler(this.lstResults_DoubleClick);
			// 
			// columnSerial
			// 
			this.columnSerial.Text = "Serial";
			// 
			// columnTitle
			// 
			this.columnTitle.Text = "Title";
			this.columnTitle.Width = 450;
			// 
			// txtQuery
			// 
			this.txtQuery.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.txtQuery.Location = new System.Drawing.Point(112, 8);
			this.txtQuery.Name = "txtQuery";
			this.txtQuery.ReadOnly = true;
			this.txtQuery.Size = new System.Drawing.Size(440, 20);
			this.txtQuery.TabIndex = 0;
			this.txtQuery.Text = "";
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(8, 8);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(88, 23);
			this.label1.TabIndex = 14;
			this.label1.Text = "Query:";
			// 
			// ShowPatentQueryResults
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(560, 323);
			this.Controls.Add(this.lblDownloadStatus);
			this.Controls.Add(this.pbDownload);
			this.Controls.Add(this.label4);
			this.Controls.Add(this.lstResults);
			this.Controls.Add(this.txtQuery);
			this.Controls.Add(this.label1);
			this.Name = "ShowPatentQueryResults";
			this.Text = "Show Patent Query Results";
			this.Resize += new System.EventHandler(this.ShowPatentQueryResults_Resize);
			this.Load += new System.EventHandler(this.ShowQueryResults_Load);
			((System.ComponentModel.ISupportInitialize)(this.timerUpdate)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		#endregion

		#region Miscellaneous event handlers

		private void ShowQueryResults_Load(object sender, System.EventArgs e) {
			this.txtQuery.Text = strQuery;	
		}

		private void timerUpdate_Elapsed(object sender, System.Timers.ElapsedEventArgs e) {
			if (searchObject != null) {
				if (searchObject.arrayQueryResults.Count > lstResults.Items.Count) {
					// add new items to list
					lstResults.BeginUpdate();
					while (searchObject.arrayQueryResults.Count > lstResults.Items.Count) {
						lstResults.Items.Add(new ListViewItem(new string[] { ((QueryReference) searchObject.arrayQueryResults[lstResults.Items.Count]).strSerial, ((QueryReference) searchObject.arrayQueryResults[lstResults.Items.Count]).strTitle }));
					}
					lstResults.EndUpdate();
				}
			}
			if (searchObject.searchStatus == SearchStatusEnum.Complete)
				lblDownloadStatus.Text = "Complete: " + searchObject.arrayQueryResults.Count + " results.";
			else if (searchObject.searchStatus == SearchStatusEnum.Failed)
				lblDownloadStatus.Text = "Failed.";
			else if (searchObject.searchStatus == SearchStatusEnum.Aborted)
				lblDownloadStatus.Text = "Aborted.";
			else
				lblDownloadStatus.Text = "Running: " + searchObject.iFetchedResults + "/" + searchObject.iTotalResults;
			if (searchObject.iTotalResults > 0)
				pbDownload.Value = 100 * searchObject.iFetchedResults / searchObject.iTotalResults;
		}

		private void ShowPatentQueryResults_Resize(object sender, System.EventArgs e) {
			this.lstResults.Columns[1].Width = lstResults.Width - 94;
		}

		private void lstResults_DoubleClick(object sender, System.EventArgs e) {
			if (lstResults.SelectedItems.Count > 0)
				new ShowPatent(USPTOProxy.GetPatent(lstResults.SelectedItems[0].SubItems[0].Text)).ShowDialog();
		}

		#endregion

	}

}
