// Show Patent.cs
// Written by David J. Stein, Esq. See enclosed "License.html" for terms and conditions of use.
//
// This module contains the code for a small helper window for showing the details of a patent.str

#region Using declarations

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using USPTOProxy_Namespace;

#endregion

namespace USPTO_Proxy_Demo_Application {

	public class ShowPatent : System.Windows.Forms.Form	{

		#region Variables and initialization code

		private System.Windows.Forms.Label label1;
		private System.ComponentModel.Container components = null;
		private System.Windows.Forms.TextBox txtPatentNumber;
		private System.Windows.Forms.TextBox txtTitle;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.TextBox txtIssueDate;
		private System.Windows.Forms.TextBox txtFileDate;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.TextBox txtApplicationSerialNumber;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.TextBox txtInventors;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.Label label7;
		private System.Windows.Forms.TextBox txtLawFirm;
		private System.Windows.Forms.Label label8;
		private System.Windows.Forms.TextBox txtPrimaryExaminer;
		private System.Windows.Forms.Label label9;
		private System.Windows.Forms.TextBox txtUSClasses;
		private System.Windows.Forms.Label label10;
		private System.Windows.Forms.Label label11;
		private System.Windows.Forms.TextBox txtSearchField;
		private System.Windows.Forms.Label label12;
		private System.Windows.Forms.GroupBox groupAbstract;
		private System.Windows.Forms.TextBox txtAbstract;
		private System.Windows.Forms.GroupBox groupDescription;
		private System.Windows.Forms.TextBox txtDescription;
		private System.Windows.Forms.GroupBox groupClaims;
		private System.Windows.Forms.TextBox txtClaims;
		private System.Windows.Forms.TextBox txtNumberClaims;
		private System.Windows.Forms.Label label13;
		private System.Windows.Forms.TextBox txtNumberFigures;
		private System.Windows.Forms.Label label14;
		private System.Windows.Forms.TextBox txtNumberInventors;
		private System.Windows.Forms.Label label15;
		private System.Windows.Forms.TextBox txtAssignees;
		private System.Windows.Forms.TextBox txtInternationalClasses;
		private System.Windows.Forms.GroupBox groupReferences;
		private System.Windows.Forms.TextBox txtReferences;
		private Patent patent;

		public ShowPatent(Patent patent)	{
			this.patent = patent;
			InitializeComponent();
		}

		#region Uninteresting Windows Form Designer generated code
		protected override void Dispose(bool disposing)		{
			if (disposing) {
				if (components != null) {
				components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

	private void InitializeComponent()	{
		this.label1 = new System.Windows.Forms.Label();
		this.txtPatentNumber = new System.Windows.Forms.TextBox();
		this.txtTitle = new System.Windows.Forms.TextBox();
		this.label2 = new System.Windows.Forms.Label();
		this.label3 = new System.Windows.Forms.Label();
		this.txtIssueDate = new System.Windows.Forms.TextBox();
		this.txtFileDate = new System.Windows.Forms.TextBox();
		this.label4 = new System.Windows.Forms.Label();
		this.txtApplicationSerialNumber = new System.Windows.Forms.TextBox();
		this.label6 = new System.Windows.Forms.Label();
		this.txtInventors = new System.Windows.Forms.TextBox();
		this.label5 = new System.Windows.Forms.Label();
		this.txtAssignees = new System.Windows.Forms.TextBox();
		this.label7 = new System.Windows.Forms.Label();
		this.txtLawFirm = new System.Windows.Forms.TextBox();
		this.label8 = new System.Windows.Forms.Label();
		this.txtPrimaryExaminer = new System.Windows.Forms.TextBox();
		this.label9 = new System.Windows.Forms.Label();
		this.txtUSClasses = new System.Windows.Forms.TextBox();
		this.label10 = new System.Windows.Forms.Label();
		this.txtInternationalClasses = new System.Windows.Forms.TextBox();
		this.label11 = new System.Windows.Forms.Label();
		this.txtSearchField = new System.Windows.Forms.TextBox();
		this.label12 = new System.Windows.Forms.Label();
		this.groupAbstract = new System.Windows.Forms.GroupBox();
		this.txtAbstract = new System.Windows.Forms.TextBox();
		this.groupDescription = new System.Windows.Forms.GroupBox();
		this.txtDescription = new System.Windows.Forms.TextBox();
		this.groupClaims = new System.Windows.Forms.GroupBox();
		this.txtClaims = new System.Windows.Forms.TextBox();
		this.txtNumberClaims = new System.Windows.Forms.TextBox();
		this.label13 = new System.Windows.Forms.Label();
		this.txtNumberFigures = new System.Windows.Forms.TextBox();
		this.label14 = new System.Windows.Forms.Label();
		this.txtNumberInventors = new System.Windows.Forms.TextBox();
		this.label15 = new System.Windows.Forms.Label();
		this.groupReferences = new System.Windows.Forms.GroupBox();
		this.txtReferences = new System.Windows.Forms.TextBox();
		this.groupAbstract.SuspendLayout();
		this.groupDescription.SuspendLayout();
		this.groupClaims.SuspendLayout();
		this.groupReferences.SuspendLayout();
		this.SuspendLayout();
		// 
		// label1
		// 
		this.label1.Location = new System.Drawing.Point(8, 40);
		this.label1.Name = "label1";
		this.label1.Size = new System.Drawing.Size(120, 24);
		this.label1.TabIndex = 0;
		this.label1.Text = "Patent Serial No.";
		this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
		// 
		// txtPatentNumber
		// 
		this.txtPatentNumber.Location = new System.Drawing.Point(128, 40);
		this.txtPatentNumber.Name = "txtPatentNumber";
		this.txtPatentNumber.ReadOnly = true;
		this.txtPatentNumber.Size = new System.Drawing.Size(104, 20);
		this.txtPatentNumber.TabIndex = 1;
		this.txtPatentNumber.Text = "";
		// 
		// txtTitle
		// 
		this.txtTitle.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.txtTitle.Location = new System.Drawing.Point(64, 8);
		this.txtTitle.Name = "txtTitle";
		this.txtTitle.ReadOnly = true;
		this.txtTitle.Size = new System.Drawing.Size(496, 20);
		this.txtTitle.TabIndex = 0;
		this.txtTitle.Text = "";
		// 
		// label2
		// 
		this.label2.Location = new System.Drawing.Point(8, 8);
		this.label2.Name = "label2";
		this.label2.Size = new System.Drawing.Size(56, 24);
		this.label2.TabIndex = 2;
		this.label2.Text = "Title";
		this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
		// 
		// label3
		// 
		this.label3.Location = new System.Drawing.Point(8, 112);
		this.label3.Name = "label3";
		this.label3.Size = new System.Drawing.Size(120, 24);
		this.label3.TabIndex = 4;
		this.label3.Text = "Date Issued";
		this.label3.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
		// 
		// txtIssueDate
		// 
		this.txtIssueDate.Location = new System.Drawing.Point(128, 112);
		this.txtIssueDate.Name = "txtIssueDate";
		this.txtIssueDate.ReadOnly = true;
		this.txtIssueDate.Size = new System.Drawing.Size(104, 20);
		this.txtIssueDate.TabIndex = 7;
		this.txtIssueDate.Text = "";
		// 
		// txtFileDate
		// 
		this.txtFileDate.Location = new System.Drawing.Point(128, 88);
		this.txtFileDate.Name = "txtFileDate";
		this.txtFileDate.ReadOnly = true;
		this.txtFileDate.Size = new System.Drawing.Size(104, 20);
		this.txtFileDate.TabIndex = 5;
		this.txtFileDate.Text = "";
		// 
		// label4
		// 
		this.label4.Location = new System.Drawing.Point(8, 88);
		this.label4.Name = "label4";
		this.label4.Size = new System.Drawing.Size(120, 24);
		this.label4.TabIndex = 6;
		this.label4.Text = "Date Filed";
		this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
		// 
		// txtApplicationSerialNumber
		// 
		this.txtApplicationSerialNumber.Location = new System.Drawing.Point(128, 64);
		this.txtApplicationSerialNumber.Name = "txtApplicationSerialNumber";
		this.txtApplicationSerialNumber.ReadOnly = true;
		this.txtApplicationSerialNumber.Size = new System.Drawing.Size(104, 20);
		this.txtApplicationSerialNumber.TabIndex = 3;
		this.txtApplicationSerialNumber.Text = "";
		// 
		// label6
		// 
		this.label6.Location = new System.Drawing.Point(8, 64);
		this.label6.Name = "label6";
		this.label6.Size = new System.Drawing.Size(120, 24);
		this.label6.TabIndex = 10;
		this.label6.Text = "Application Serial No.";
		this.label6.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
		// 
		// txtInventors
		// 
		this.txtInventors.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.txtInventors.Location = new System.Drawing.Point(336, 40);
		this.txtInventors.Name = "txtInventors";
		this.txtInventors.ReadOnly = true;
		this.txtInventors.Size = new System.Drawing.Size(224, 20);
		this.txtInventors.TabIndex = 2;
		this.txtInventors.Text = "";
		// 
		// label5
		// 
		this.label5.Location = new System.Drawing.Point(240, 40);
		this.label5.Name = "label5";
		this.label5.Size = new System.Drawing.Size(96, 24);
		this.label5.TabIndex = 12;
		this.label5.Text = "Inventors";
		this.label5.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
		// 
		// txtAssignees
		// 
		this.txtAssignees.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.txtAssignees.Location = new System.Drawing.Point(336, 64);
		this.txtAssignees.Name = "txtAssignees";
		this.txtAssignees.ReadOnly = true;
		this.txtAssignees.Size = new System.Drawing.Size(224, 20);
		this.txtAssignees.TabIndex = 4;
		this.txtAssignees.Text = "";
		// 
		// label7
		// 
		this.label7.Location = new System.Drawing.Point(240, 64);
		this.label7.Name = "label7";
		this.label7.Size = new System.Drawing.Size(96, 24);
		this.label7.TabIndex = 14;
		this.label7.Text = "Assignees";
		this.label7.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
		// 
		// txtLawFirm
		// 
		this.txtLawFirm.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.txtLawFirm.Location = new System.Drawing.Point(336, 88);
		this.txtLawFirm.Name = "txtLawFirm";
		this.txtLawFirm.ReadOnly = true;
		this.txtLawFirm.Size = new System.Drawing.Size(224, 20);
		this.txtLawFirm.TabIndex = 6;
		this.txtLawFirm.Text = "";
		// 
		// label8
		// 
		this.label8.Location = new System.Drawing.Point(240, 88);
		this.label8.Name = "label8";
		this.label8.Size = new System.Drawing.Size(96, 24);
		this.label8.TabIndex = 18;
		this.label8.Text = "Law Firm";
		this.label8.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
		// 
		// txtPrimaryExaminer
		// 
		this.txtPrimaryExaminer.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.txtPrimaryExaminer.Location = new System.Drawing.Point(336, 112);
		this.txtPrimaryExaminer.Name = "txtPrimaryExaminer";
		this.txtPrimaryExaminer.ReadOnly = true;
		this.txtPrimaryExaminer.Size = new System.Drawing.Size(224, 20);
		this.txtPrimaryExaminer.TabIndex = 8;
		this.txtPrimaryExaminer.Text = "";
		// 
		// label9
		// 
		this.label9.Location = new System.Drawing.Point(240, 112);
		this.label9.Name = "label9";
		this.label9.Size = new System.Drawing.Size(96, 24);
		this.label9.TabIndex = 16;
		this.label9.Text = "Primary Examiner";
		this.label9.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
		// 
		// txtUSClasses
		// 
		this.txtUSClasses.Location = new System.Drawing.Point(88, 144);
		this.txtUSClasses.Name = "txtUSClasses";
		this.txtUSClasses.ReadOnly = true;
		this.txtUSClasses.Size = new System.Drawing.Size(88, 20);
		this.txtUSClasses.TabIndex = 9;
		this.txtUSClasses.Text = "";
		// 
		// label10
		// 
		this.label10.Location = new System.Drawing.Point(8, 144);
		this.label10.Name = "label10";
		this.label10.Size = new System.Drawing.Size(72, 24);
		this.label10.TabIndex = 20;
		this.label10.Text = "U.S. Classes";
		this.label10.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
		// 
		// txtInternationalClasses
		// 
		this.txtInternationalClasses.Anchor = System.Windows.Forms.AnchorStyles.Top;
		this.txtInternationalClasses.Location = new System.Drawing.Point(264, 144);
		this.txtInternationalClasses.Name = "txtInternationalClasses";
		this.txtInternationalClasses.ReadOnly = true;
		this.txtInternationalClasses.Size = new System.Drawing.Size(95, 20);
		this.txtInternationalClasses.TabIndex = 10;
		this.txtInternationalClasses.Text = "";
		// 
		// label11
		// 
		this.label11.Anchor = System.Windows.Forms.AnchorStyles.Top;
		this.label11.Location = new System.Drawing.Point(192, 144);
		this.label11.Name = "label11";
		this.label11.Size = new System.Drawing.Size(72, 24);
		this.label11.TabIndex = 22;
		this.label11.Text = "Int\'l Classes";
		this.label11.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
		// 
		// txtSearchField
		// 
		this.txtSearchField.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
		this.txtSearchField.Location = new System.Drawing.Point(456, 144);
		this.txtSearchField.Name = "txtSearchField";
		this.txtSearchField.ReadOnly = true;
		this.txtSearchField.Size = new System.Drawing.Size(104, 20);
		this.txtSearchField.TabIndex = 11;
		this.txtSearchField.Text = "";
		// 
		// label12
		// 
		this.label12.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
		this.label12.Location = new System.Drawing.Point(376, 144);
		this.label12.Name = "label12";
		this.label12.Size = new System.Drawing.Size(80, 24);
		this.label12.TabIndex = 24;
		this.label12.Text = "Search Fields";
		this.label12.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
		// 
		// groupAbstract
		// 
		this.groupAbstract.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right)));
		this.groupAbstract.Controls.Add(this.txtAbstract);
		this.groupAbstract.Location = new System.Drawing.Point(8, 328);
		this.groupAbstract.Name = "groupAbstract";
		this.groupAbstract.Size = new System.Drawing.Size(552, 112);
		this.groupAbstract.TabIndex = 26;
		this.groupAbstract.TabStop = false;
		this.groupAbstract.Text = "Abstract";
		this.groupAbstract.Resize += new System.EventHandler(this.groupAbstract_Resize);
		// 
		// txtAbstract
		// 
		this.txtAbstract.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
			| System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.txtAbstract.Location = new System.Drawing.Point(8, 16);
		this.txtAbstract.Multiline = true;
		this.txtAbstract.Name = "txtAbstract";
		this.txtAbstract.ReadOnly = true;
		this.txtAbstract.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
		this.txtAbstract.Size = new System.Drawing.Size(536, 88);
		this.txtAbstract.TabIndex = 0;
		this.txtAbstract.Text = "";
		// 
		// groupDescription
		// 
		this.groupDescription.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right)));
		this.groupDescription.Controls.Add(this.txtDescription);
		this.groupDescription.Location = new System.Drawing.Point(8, 448);
		this.groupDescription.Name = "groupDescription";
		this.groupDescription.Size = new System.Drawing.Size(552, 112);
		this.groupDescription.TabIndex = 27;
		this.groupDescription.TabStop = false;
		this.groupDescription.Text = "Description";
		// 
		// txtDescription
		// 
		this.txtDescription.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
			| System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.txtDescription.Location = new System.Drawing.Point(8, 16);
		this.txtDescription.Multiline = true;
		this.txtDescription.Name = "txtDescription";
		this.txtDescription.ReadOnly = true;
		this.txtDescription.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
		this.txtDescription.Size = new System.Drawing.Size(536, 88);
		this.txtDescription.TabIndex = 0;
		this.txtDescription.Text = "";
		// 
		// groupClaims
		// 
		this.groupClaims.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right)));
		this.groupClaims.Controls.Add(this.txtClaims);
		this.groupClaims.Location = new System.Drawing.Point(8, 568);
		this.groupClaims.Name = "groupClaims";
		this.groupClaims.Size = new System.Drawing.Size(552, 112);
		this.groupClaims.TabIndex = 28;
		this.groupClaims.TabStop = false;
		this.groupClaims.Text = "Claims";
		// 
		// txtClaims
		// 
		this.txtClaims.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
			| System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.txtClaims.Location = new System.Drawing.Point(8, 16);
		this.txtClaims.Multiline = true;
		this.txtClaims.Name = "txtClaims";
		this.txtClaims.ReadOnly = true;
		this.txtClaims.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
		this.txtClaims.Size = new System.Drawing.Size(536, 88);
		this.txtClaims.TabIndex = 0;
		this.txtClaims.Text = "";
		// 
		// txtNumberClaims
		// 
		this.txtNumberClaims.Anchor = System.Windows.Forms.AnchorStyles.Top;
		this.txtNumberClaims.Location = new System.Drawing.Point(312, 176);
		this.txtNumberClaims.Name = "txtNumberClaims";
		this.txtNumberClaims.ReadOnly = true;
		this.txtNumberClaims.Size = new System.Drawing.Size(48, 20);
		this.txtNumberClaims.TabIndex = 13;
		this.txtNumberClaims.Text = "";
		// 
		// label13
		// 
		this.label13.Anchor = System.Windows.Forms.AnchorStyles.Top;
		this.label13.Location = new System.Drawing.Point(192, 176);
		this.label13.Name = "label13";
		this.label13.Size = new System.Drawing.Size(112, 24);
		this.label13.TabIndex = 29;
		this.label13.Text = "Number of Claims";
		this.label13.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
		// 
		// txtNumberFigures
		// 
		this.txtNumberFigures.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
		this.txtNumberFigures.Location = new System.Drawing.Point(512, 176);
		this.txtNumberFigures.Name = "txtNumberFigures";
		this.txtNumberFigures.ReadOnly = true;
		this.txtNumberFigures.Size = new System.Drawing.Size(48, 20);
		this.txtNumberFigures.TabIndex = 14;
		this.txtNumberFigures.Text = "";
		// 
		// label14
		// 
		this.label14.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
		this.label14.Location = new System.Drawing.Point(376, 176);
		this.label14.Name = "label14";
		this.label14.Size = new System.Drawing.Size(112, 24);
		this.label14.TabIndex = 31;
		this.label14.Text = "Number of Figures";
		this.label14.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
		// 
		// txtNumberInventors
		// 
		this.txtNumberInventors.Location = new System.Drawing.Point(128, 176);
		this.txtNumberInventors.Name = "txtNumberInventors";
		this.txtNumberInventors.ReadOnly = true;
		this.txtNumberInventors.Size = new System.Drawing.Size(48, 20);
		this.txtNumberInventors.TabIndex = 12;
		this.txtNumberInventors.Text = "";
		// 
		// label15
		// 
		this.label15.Location = new System.Drawing.Point(8, 176);
		this.label15.Name = "label15";
		this.label15.Size = new System.Drawing.Size(112, 24);
		this.label15.TabIndex = 33;
		this.label15.Text = "Number of Inventors";
		this.label15.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
		// 
		// groupReferences
		// 
		this.groupReferences.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right)));
		this.groupReferences.Controls.Add(this.txtReferences);
		this.groupReferences.Location = new System.Drawing.Point(8, 208);
		this.groupReferences.Name = "groupReferences";
		this.groupReferences.Size = new System.Drawing.Size(552, 112);
		this.groupReferences.TabIndex = 27;
		this.groupReferences.TabStop = false;
		this.groupReferences.Text = "References";
		// 
		// txtReferences
		// 
		this.txtReferences.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
			| System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.txtReferences.Location = new System.Drawing.Point(8, 16);
		this.txtReferences.Multiline = true;
		this.txtReferences.Name = "txtReferences";
		this.txtReferences.ReadOnly = true;
		this.txtReferences.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
		this.txtReferences.Size = new System.Drawing.Size(536, 88);
		this.txtReferences.TabIndex = 0;
		this.txtReferences.Text = "";
		// 
		// ShowPatent
		// 
		this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
		this.ClientSize = new System.Drawing.Size(568, 691);
		this.Controls.Add(this.txtNumberInventors);
		this.Controls.Add(this.txtNumberFigures);
		this.Controls.Add(this.txtNumberClaims);
		this.Controls.Add(this.txtSearchField);
		this.Controls.Add(this.txtInternationalClasses);
		this.Controls.Add(this.txtUSClasses);
		this.Controls.Add(this.txtLawFirm);
		this.Controls.Add(this.txtPrimaryExaminer);
		this.Controls.Add(this.txtAssignees);
		this.Controls.Add(this.txtInventors);
		this.Controls.Add(this.txtApplicationSerialNumber);
		this.Controls.Add(this.txtFileDate);
		this.Controls.Add(this.txtIssueDate);
		this.Controls.Add(this.txtTitle);
		this.Controls.Add(this.txtPatentNumber);
		this.Controls.Add(this.label15);
		this.Controls.Add(this.label14);
		this.Controls.Add(this.label13);
		this.Controls.Add(this.groupAbstract);
		this.Controls.Add(this.label12);
		this.Controls.Add(this.label11);
		this.Controls.Add(this.label10);
		this.Controls.Add(this.label8);
		this.Controls.Add(this.label9);
		this.Controls.Add(this.label7);
		this.Controls.Add(this.label5);
		this.Controls.Add(this.label6);
		this.Controls.Add(this.label4);
		this.Controls.Add(this.label3);
		this.Controls.Add(this.label2);
		this.Controls.Add(this.label1);
		this.Controls.Add(this.groupDescription);
		this.Controls.Add(this.groupClaims);
		this.Controls.Add(this.groupReferences);
		this.Name = "ShowPatent";
		this.Text = "U.S. Pat. No. ";
		this.Load += new System.EventHandler(this.ShowPatent_Load);
		this.groupAbstract.ResumeLayout(false);
		this.groupDescription.ResumeLayout(false);
		this.groupClaims.ResumeLayout(false);
		this.groupReferences.ResumeLayout(false);
		this.ResumeLayout(false);

	}
		#endregion

		#endregion

		#region Miscellaneous event handlers

		private void ShowPatent_Load(object sender, System.EventArgs e) {
			if (patent != null) {
				this.txtAbstract.Text = patent.strAbstract;
				this.txtApplicationSerialNumber.Text = patent.strApplicationNumber;
				foreach (Assignee assignee in patent.arrayAssignees)
					txtAssignees.Text += (txtAssignees.Text.Length > 0 ? "; " : "") + assignee.strName + (assignee.strLocation.Length > 0 ? " (" + assignee.strLocation + ")" : "");
				this.txtDescription.Text = patent.strDescription;
				this.txtClaims.Text = patent.strClaims;
				this.txtFileDate.Text = patent.strFileDate;
				foreach (Inventor inventor in patent.arrayInventors)
					txtInventors.Text += (txtInventors.Text.Length > 0 ? "; " : "") + inventor.strName + (inventor.strLocation.Length > 0 ? " (" + inventor.strLocation + ")" : "");
				this.txtIssueDate.Text = patent.strIssueDate;
				this.txtLawFirm.Text = patent.strLawFirm;
				this.txtPatentNumber.Text = patent.strPatentNumber;
				this.txtPrimaryExaminer.Text = patent.strPrimaryExaminer;
				foreach (string strUSPatent in patent.arrayUSPatentReferences)
					this.txtReferences.Text += "U.S. Patent: " + strUSPatent + "\r\n";
				foreach (string strForeignPatent in patent.arrayForeignPatentReferences)
					this.txtReferences.Text += "Foreign Patent: " + strForeignPatent + "\r\n";
				foreach (string strOtherReference in patent.arrayOtherReferences)
					this.txtReferences.Text += "Other Reference: " + strOtherReference + "\r\n";
				this.txtSearchField.Text = patent.strSearchField;
				this.txtTitle.Text = patent.strTitle;
				foreach (string strClass in patent.arrayUSClasses)
					this.txtUSClasses.Text += (txtUSClasses.Text.Length > 0 ? "; " : "") + strClass;
				foreach (string strClass in patent.arrayInternationalClasses)
					this.txtInternationalClasses.Text += (txtInternationalClasses.Text.Length > 0 ? "; " : "") + strClass;
				this.Text = "U.S. Pat. No. " + patent.strPatentNumber;
				this.txtNumberInventors.Text = patent.arrayInventors.Count.ToString();
				this.txtNumberClaims.Text = patent.iNumberOfClaims.ToString();
				this.txtNumberFigures.Text = patent.iNumberOfFigures.ToString();
			}
		}

		private void groupAbstract_Resize(object sender, System.EventArgs e) {
			groupReferences.Height = groupAbstract.Height = groupDescription.Height = groupClaims.Height = (Height - 208 - 8 - 8 - 8 - 24) / 4;
			groupReferences.Top = 208;
			groupAbstract.Top = groupReferences.Bottom + 8;
			groupDescription.Top = groupAbstract.Bottom + 8;
			groupClaims.Top = groupDescription.Bottom + 8;
			groupReferences.Width = groupAbstract.Width = groupDescription.Width = groupClaims.Width = Width - 40;
		}

		#endregion
	
	}
}
