// USPTO Proxy Demo Application.cs
// Written by David J. Stein, Esq. See enclosed "License.html" for terms and conditions of use.
//
// This module contains the code for the main interface window for the USPTO Proxy Demo Application.

#region Using declarations

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using USPTOProxy_Namespace;

#endregion

namespace USPTO_Proxy_Demo_Application {

	public class USPTOProxyDemoApplication : System.Windows.Forms.Form {

		#region Variables, initialization code, and Main

		private System.ComponentModel.Container components = null;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.RadioButton radioDatabasePatents;
		private System.Windows.Forms.RadioButton radioDatabasePatentApplications;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.TextBox txtFetchBySerial;
		private System.Windows.Forms.Button btnFetchBySerialAsynchronous;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.TextBox txtQueryString;
		private System.Windows.Forms.Button btnQueryAsynchronously;
		private System.Windows.Forms.TextBox txtDatabaseFreshness;
		private System.Windows.Forms.Button btnFetchDatabaseFreshness;
		private System.Windows.Forms.Button btnFetchBySerial;

		public USPTOProxyDemoApplication() {
			InitializeComponent();
		} 

		#region Uninteresting Windows Form Designer generated code
		private void InitializeComponent() {
			this.label1 = new System.Windows.Forms.Label();
			this.radioDatabasePatents = new System.Windows.Forms.RadioButton();
			this.radioDatabasePatentApplications = new System.Windows.Forms.RadioButton();
			this.label2 = new System.Windows.Forms.Label();
			this.txtFetchBySerial = new System.Windows.Forms.TextBox();
			this.btnFetchBySerial = new System.Windows.Forms.Button();
			this.btnFetchBySerialAsynchronous = new System.Windows.Forms.Button();
			this.label3 = new System.Windows.Forms.Label();
			this.txtQueryString = new System.Windows.Forms.TextBox();
			this.btnQueryAsynchronously = new System.Windows.Forms.Button();
			this.btnFetchDatabaseFreshness = new System.Windows.Forms.Button();
			this.txtDatabaseFreshness = new System.Windows.Forms.TextBox();
			this.SuspendLayout();
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(8, 8);
			this.label1.Name = "label1";
			this.label1.TabIndex = 0;
			this.label1.Text = "USPTO database:";
			this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// radioDatabasePatents
			// 
			this.radioDatabasePatents.Checked = true;
			this.radioDatabasePatents.Location = new System.Drawing.Point(120, 8);
			this.radioDatabasePatents.Name = "radioDatabasePatents";
			this.radioDatabasePatents.Size = new System.Drawing.Size(72, 24);
			this.radioDatabasePatents.TabIndex = 0;
			this.radioDatabasePatents.TabStop = true;
			this.radioDatabasePatents.Text = "Patents";
			// 
			// radioDatabasePatentApplications
			// 
			this.radioDatabasePatentApplications.Location = new System.Drawing.Point(192, 8);
			this.radioDatabasePatentApplications.Name = "radioDatabasePatentApplications";
			this.radioDatabasePatentApplications.Size = new System.Drawing.Size(120, 24);
			this.radioDatabasePatentApplications.TabIndex = 1;
			this.radioDatabasePatentApplications.Text = "Patent Applications";
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(8, 80);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(144, 23);
			this.label2.TabIndex = 3;
			this.label2.Text = "Fetch by serial:";
			this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// txtFetchBySerial
			// 
			this.txtFetchBySerial.Location = new System.Drawing.Point(160, 80);
			this.txtFetchBySerial.Name = "txtFetchBySerial";
			this.txtFetchBySerial.Size = new System.Drawing.Size(144, 20);
			this.txtFetchBySerial.TabIndex = 2;
			this.txtFetchBySerial.Text = "";
			this.txtFetchBySerial.KeyDown += new System.Windows.Forms.KeyEventHandler(this.txtFetchBySerial_KeyDown);
			// 
			// btnFetchBySerial
			// 
			this.btnFetchBySerial.Location = new System.Drawing.Point(8, 104);
			this.btnFetchBySerial.Name = "btnFetchBySerial";
			this.btnFetchBySerial.Size = new System.Drawing.Size(144, 23);
			this.btnFetchBySerial.TabIndex = 3;
			this.btnFetchBySerial.Text = "Fetch Synchronously";
			this.btnFetchBySerial.Click += new System.EventHandler(this.btnFetchBySerial_Click);
			// 
			// btnFetchBySerialAsynchronous
			// 
			this.btnFetchBySerialAsynchronous.Location = new System.Drawing.Point(160, 104);
			this.btnFetchBySerialAsynchronous.Name = "btnFetchBySerialAsynchronous";
			this.btnFetchBySerialAsynchronous.Size = new System.Drawing.Size(144, 23);
			this.btnFetchBySerialAsynchronous.TabIndex = 4;
			this.btnFetchBySerialAsynchronous.Text = "Fetch Asynchronously";
			this.btnFetchBySerialAsynchronous.Click += new System.EventHandler(this.btnFetchBySerialAsynchronous_Click);
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(8, 144);
			this.label3.Name = "label3";
			this.label3.TabIndex = 7;
			this.label3.Text = "Query database:";
			this.label3.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// txtQueryString
			// 
			this.txtQueryString.Location = new System.Drawing.Point(120, 144);
			this.txtQueryString.Name = "txtQueryString";
			this.txtQueryString.Size = new System.Drawing.Size(184, 20);
			this.txtQueryString.TabIndex = 5;
			this.txtQueryString.Text = "";
			this.txtQueryString.KeyDown += new System.Windows.Forms.KeyEventHandler(this.txtQueryString_KeyDown);
			// 
			// btnQueryAsynchronously
			// 
			this.btnQueryAsynchronously.Location = new System.Drawing.Point(160, 168);
			this.btnQueryAsynchronously.Name = "btnQueryAsynchronously";
			this.btnQueryAsynchronously.Size = new System.Drawing.Size(144, 23);
			this.btnQueryAsynchronously.TabIndex = 6;
			this.btnQueryAsynchronously.Text = "Query Asynchronously";
			this.btnQueryAsynchronously.Click += new System.EventHandler(this.btnQueryAsynchronously_Click);
			// 
			// btnFetchDatabaseFreshness
			// 
			this.btnFetchDatabaseFreshness.Location = new System.Drawing.Point(8, 40);
			this.btnFetchDatabaseFreshness.Name = "btnFetchDatabaseFreshness";
			this.btnFetchDatabaseFreshness.Size = new System.Drawing.Size(144, 23);
			this.btnFetchDatabaseFreshness.TabIndex = 8;
			this.btnFetchDatabaseFreshness.Text = "Fetch database freshness";
			this.btnFetchDatabaseFreshness.Click += new System.EventHandler(this.btnFetchDatabaseFreshness_Click);
			// 
			// txtDatabaseFreshness
			// 
			this.txtDatabaseFreshness.Location = new System.Drawing.Point(160, 40);
			this.txtDatabaseFreshness.Name = "txtDatabaseFreshness";
			this.txtDatabaseFreshness.ReadOnly = true;
			this.txtDatabaseFreshness.Size = new System.Drawing.Size(144, 20);
			this.txtDatabaseFreshness.TabIndex = 9;
			this.txtDatabaseFreshness.Text = "";
			// 
			// USPTOProxyDemoApplication
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(312, 203);
			this.Controls.Add(this.txtDatabaseFreshness);
			this.Controls.Add(this.btnFetchDatabaseFreshness);
			this.Controls.Add(this.btnQueryAsynchronously);
			this.Controls.Add(this.txtQueryString);
			this.Controls.Add(this.label3);
			this.Controls.Add(this.btnFetchBySerialAsynchronous);
			this.Controls.Add(this.btnFetchBySerial);
			this.Controls.Add(this.txtFetchBySerial);
			this.Controls.Add(this.label2);
			this.Controls.Add(this.radioDatabasePatentApplications);
			this.Controls.Add(this.radioDatabasePatents);
			this.Controls.Add(this.label1);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
			this.Name = "USPTOProxyDemoApplication";
			this.Text = "USPTO Proxy Demo Application";
			this.ResumeLayout(false);

		}
		protected override void Dispose(bool disposing) {
			if (disposing) {
				if (components != null) {
					components.Dispose();
				}
			}
			base.Dispose(disposing);
		}
		#endregion

		[STAThread]
		static void Main() {
			Application.Run(new USPTOProxyDemoApplication());
		}

		#endregion

		#region Button-click event handlers

		private void btnFetchDatabaseFreshness_Click(object sender, System.EventArgs e) {
			if (this.radioDatabasePatents.Checked == true)
				txtDatabaseFreshness.Text = USPTOProxy.GetPatentDatabaseFreshness();
			else if (this.radioDatabasePatentApplications.Checked == true)
				txtDatabaseFreshness.Text = USPTOProxy.GetPatentApplicationDatabaseFreshness();
		}

		private void btnFetchBySerial_Click(object sender, System.EventArgs e) {
			if (radioDatabasePatents.Checked == true) {
				Patent patent = USPTOProxy.GetPatent(txtFetchBySerial.Text);
				if (patent != null)
					new ShowPatent(patent).Show();
			}
			else if (radioDatabasePatentApplications.Checked == true) {
				PatentApplication patentApplication = USPTOProxy.GetPatentApplication(txtFetchBySerial.Text);
				if (patentApplication != null)
					new ShowPatentApplication(patentApplication).Show();
			}
		}

		private void txtFetchBySerial_KeyDown(object sender, System.Windows.Forms.KeyEventArgs e) {
			if (e.KeyCode == Keys.Enter) {
				if (radioDatabasePatents.Checked == true) {
					Patent patent = USPTOProxy.GetPatent(txtFetchBySerial.Text);
					if (patent != null)
						new ShowPatent(patent).Show();
				}
				else if (radioDatabasePatentApplications.Checked == true) {
					PatentApplication patentApplication = USPTOProxy.GetPatentApplication(txtFetchBySerial.Text);
					if (patentApplication != null)
						new ShowPatentApplication(patentApplication).Show();
				}
			}
		}

		private void btnFetchBySerialAsynchronous_Click(object sender, System.EventArgs e) {
			if (radioDatabasePatents.Checked == true)
				USPTOProxy.GetPatent_Start(txtFetchBySerial.Text, new GetPatentCompleteDelegate(FetchPatentAsynchronouslyComplete));
			else if (radioDatabasePatentApplications.Checked == true)
				USPTOProxy.GetPatentApplication_Start(txtFetchBySerial.Text, new GetPatentApplicationCompleteDelegate(FetchPatentApplicationAsynchronouslyComplete));
		}

		public void FetchPatentAsynchronouslyComplete(string strSerial, Patent patent) {
			new ShowPatent(patent).ShowDialog();
		}

		public void FetchPatentApplicationAsynchronouslyComplete(string strSerial, PatentApplication patentApplication) {
			new ShowPatentApplication(patentApplication).ShowDialog();
		}

		private void btnQueryAsynchronously_Click(object sender, System.EventArgs e) {
			if (radioDatabasePatents.Checked == true)
				new ShowPatentQueryResults(txtQueryString.Text).Show();
			else if (radioDatabasePatentApplications.Checked == true)
				new ShowPatentApplicationQueryResults(txtQueryString.Text).Show();
		}

		private void txtQueryString_KeyDown(object sender, System.Windows.Forms.KeyEventArgs e) {
			if (e.KeyCode == Keys.Enter) {
				if (radioDatabasePatents.Checked == true)
					new ShowPatentQueryResults(txtQueryString.Text).Show();
				else if (radioDatabasePatentApplications.Checked == true)
					new ShowPatentApplicationQueryResults(txtQueryString.Text).Show();
			}
		}

		#endregion

	}
}
